commit: 1e36eee944d232ea058b0b75f42b2dfe3cbb4827
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 25 22:59:00 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Apr 25 22:59:00 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e36eee9
net-vpn/tinc: avoid maintainer mode
Signed-off-by: Sam James <sam <AT> gentoo.org>
net-vpn/tinc/tinc-1.1_pre18.ebuild | 9 +++++----
1 file changed, 5 insertions(+), 4 deletions(-)
diff --git a/net-vpn/tinc/tinc-1.1_pre18.ebuild
b/net-vpn/tinc/tinc-1.1_pre18.ebuild
index 58f8b912f8d8..a1f6b4969f72 100644
--- a/net-vpn/tinc/tinc-1.1_pre18.ebuild
+++ b/net-vpn/tinc/tinc-1.1_pre18.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -38,13 +38,14 @@ PATCHES+=(
src_prepare() {
default
- eautoreconf
# Fix the static (failing UNKNOWN) version in the autoconf
# NOTE: When updating the ebuild, make sure to check that this
# line number hasn't changed in the upstream sources.
- sed -i "6d" configure.ac
- sed -i "6iAC_INIT([tinc], ${PVR})" configure.ac
+ sed -i "6d" configure.ac || die
+ sed -i "6iAC_INIT([tinc], ${PVR})" configure.ac || die
+
+ eautoreconf
}
src_configure() {